Bug 122322 - wrong owner of /var/named for slave domain server
Summary: wrong owner of /var/named for slave domain server
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-03 06:42 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 17:59:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-05-03 06:42:47 UTC
Description of problem:
user "named" can't write under /var/named which is owned by root by
default. This brings up the problem when the system is configured as
slave server: the zone files transferred from the master need to be
dumped here. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set up /etc/named.conf to run a slave server
2. service named restart
3. check /var/named
  
Actual results:
zone files from masters are not created

Expected results:
the files should be seen here

Additional info:

Comment 1 Daniel Walsh 2004-06-10 17:59:22 UTC
This is a security issue.  If you want to create slave files you
should create a subdir called slaves with privs that named can write
and place your slave files there.

Dan


Note You need to log in before you can comment on or make changes to this bug.